Package org.bukkit.map

# Class MapRenderer

java.lang.Object
org.bukkit.map.MapRenderer

public abstract class MapRenderer extends Object
Represents a renderer for a map.

## Constructor Summary

Constructors
Constructor
Description
`MapRenderer()`
Initialize the map renderer base to be non-contextual.
`MapRenderer(boolean contextual)`
Initialize the map renderer base with the given contextual status.

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(@NotNull MapView map)`
Initialize this MapRenderer for the given map.
`final boolean`
`isContextual()`
Get whether the renderer is contextual, i.e.
`abstract void`
`render(@NotNull MapView map, @NotNull MapCanvas canvas, @NotNull Player player)`
Render to the given map.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MapRenderer

public MapRenderer()
Initialize the map renderer base to be non-contextual. See `isContextual()`.

### MapRenderer

public MapRenderer(boolean contextual)
Initialize the map renderer base with the given contextual status.

Parameters:
  `contextual` - Whether the renderer is contextual. See `isContextual()`.

## Method Details

### isContextual

public final boolean isContextual()
Get whether the renderer is contextual, i.e. has different canvases for different players.

Returns:
  True if contextual, false otherwise.

### initialize

public void initialize(@NotNull @NotNull MapView map)
Initialize this MapRenderer for the given map.

Parameters:
  `map` - The MapView being initialized.

### render

public abstract void render(@NotNull @NotNull MapView map, @NotNull @NotNull MapCanvas canvas, @NotNull @NotNull Player player)
Render to the given map.

Parameters:
  `map` - The MapView being rendered to.
  `canvas` - The canvas to use for rendering.
  `player` - The player who triggered the rendering.